30 lines
1.1 KiB
Diff
30 lines
1.1 KiB
Diff
|
From 3474b220e036497e6bbe23428645217c275f9f87 Mon Sep 17 00:00:00 2001
|
||
|
From: Marius Tomaschewski <mt@suse.com>
|
||
|
Date: Fri, 11 Nov 2022 12:26:04 +0100
|
||
|
References: https://github.com/FRRouting/frr/pull/12307
|
||
|
Upstream: submitted
|
||
|
Subject: [PATCH] tools: remove backslash from declare check regex
|
||
|
|
||
|
The backslash in `grep -q '^declare \-a'` is not needed and
|
||
|
causes `grep: warning: stray \ before -` warning in grep-3.8.
|
||
|
---
|
||
|
tools/frrcommon.sh.in | 2 +-
|
||
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
||
|
|
||
|
diff --git a/tools/frrcommon.sh.in b/tools/frrcommon.sh.in
|
||
|
index 61f1abb378..3c16c27c6d 100755
|
||
|
--- a/tools/frrcommon.sh.in
|
||
|
+++ b/tools/frrcommon.sh.in
|
||
|
@@ -335,7 +335,7 @@ if [ -z "$FRR_PATHSPACE" ]; then
|
||
|
load_old_config "/etc/sysconfig/frr"
|
||
|
fi
|
||
|
|
||
|
-if { declare -p watchfrr_options 2>/dev/null || true; } | grep -q '^declare \-a'; then
|
||
|
+if { declare -p watchfrr_options 2>/dev/null || true; } | grep -q '^declare -a'; then
|
||
|
log_warning_msg "watchfrr_options contains a bash array value." \
|
||
|
"The configured value is intentionally ignored since it is likely wrong." \
|
||
|
"Please remove or fix the setting."
|
||
|
--
|
||
|
2.35.3
|
||
|
|